
GammaLib - Action #538

Feature # 536 (Closed): Add HESS instrument response functions

Add HESS instrument classes

10/10/2012 11:46 AM - Deil Christoph

Status: Rejected Start date: 10/10/2012

Priority: Normal Due date:  

Assigned To:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

We have to add classes to query / interpolate the HESS CALDB in gammalib/inst/hess

I did not look at the existing code in inst/lat and inst/cta , but I presume implementing inst/hess is quite a bit of work and I'd be happy

if someone else takes on this task.

Of course I'd be happy to help out and check what exactly is done in the HESS software.

The attached lookup tests scripts give an idea of the API of the lookup classes in the HESS software.

History

#1 - 10/10/2012 08:48 PM - Knödlseder Jürgen

- Target version set to HESS sprint #1

#2 - 10/10/2012 09:37 PM - Knödlseder Jürgen

We have to decide if we need specific HESS instrument classes, or if we think that we can manage everything with a single module. An alternative to

this would be to create a IACT base class, and then implement the HESS, CTA, etc. interfaces as derived classes. This would considerably reduce

the overhead for adding another IACT system to GammaLib.

So we have three options:

1. Handle CTA and HESS with a single instrument module

2. Introduce a new HESS instrument module

3. Convert the existing CTA module into an IACT module, and implement CTA and HESS specific modules as derived classes

I think Karl's general idea was of having a event list data format that fits all IACTs. In this case, we would only need a single piece of software to deal

with these events lists. The question is now: can we do the same for the instrument response functions. In other words: can we invent a sufficiently

general response format that both fits HESS and CTA (and eventually also other IACTs.

Personally I believe we can, but we have to verify that this is indeed true. I think we should try to convert the existing HESS response functions into a

general FITS format, and then implement the required software to access these response functions.

#3 - 11/03/2013 02:09 AM - Knödlseder Jürgen

- Target version deleted (HESS sprint #1)

#4 - 06/21/2016 10:22 PM - Knödlseder Jürgen
- Status changed from New to Rejected

Files

test_effArea.C 15.9 KB 10/10/2012 Deil Christoph

test_energyResolution.C 3.68 KB 10/10/2012 Deil Christoph

test_PSF.C 26.1 KB 10/10/2012 Deil Christoph

test_radialAcceptance.C 4.97 KB 10/10/2012 Deil Christoph
